# -*- coding: utf-8 -*-
from setuphelpers import *
import platform
import json
import time

r"""
Usable WAPT package functions: install(), uninstall(), session_setup(), audit(), update_package()

"""
# Declaring global variables - Warnings: 1) WAPT context is only available in package functions; 2) Global variables are not persistent between calls
bin_contains = 'windirstat'
app_uninstallkey = 'WinDirStat'

app_name = "WinDirStat"
app_dir = makepath(programfiles, "WinDirStat")
app_exe = makepath(app_dir, "windirstat.exe")


def install():
    # Installing software
    killalltasks(ensure_list(control.impacted_process))
    if isdir(app_dir):
        remove_tree(app_dir)
    mkdirs(app_dir)
    copytree2(app_name, app_dir, onreplace=default_overwrite)

    #Creating shortcuts
    create_programs_menu_shortcut(app_name, app_exe)


def uninstall():
    # Uninstalling software
    killalltasks(ensure_list(control.impacted_process))
    time.sleep(2)
    if isdir(app_dir):
        remove_tree(app_dir)

    remove_programs_menu_shortcut(app_name)
